Subject: Re: "Stuckees?"

From: [email-masked]
Date: Tue, 25 Feb 2003 12:58:14 -0500

Oh, I don't think they lack a sense of humor.  You really must have one to
sit in the middle of a bunch of vendors trying to get to concensus.  I just
think someone said they wanted to replace the word Stuckie.  On paper, it
will end up something different.  However, internally, in our hearts, we
know it really is "stuckie" and that term will live on.  8-)
___________________
Patricia Egen Consulting
www.egenconsulting.com
423-875-2652

                      "Steven M.                                                                                                       
                      Bellovin"                To:       Steve Coya <[email-masked]>                                                   
                      <[email-masked]        cc:       [email-masked]                                                             
                      .com>                    Subject:  Re: "Stuckees?"                                                               
                      Sent by:                                                                                                         
                      owner-wgchairs@ie                                                                                                
                      tf.org                                                                                                           

                      02/25/03 11:28 AM                                                                                                

In message <Pine.WNT.3.96.1030225110646.824I-100000@tigger>, Steve Coya
writes:
>
>I agree 100% that use of the word Stuckees should be dis-allowed. EVERY
>Time I see it, I get hungrier (those from the South, or who have visited
>the south, will understand ;-)
>

:-)  But I think that too many other posters are lacking a sense of
humor (or perhaps their bosses are....).

                         --Steve Bellovin, http://www.research.att.com/~smb
(me)
                         http://www.wilyhacker.com (2nd edition of
"Firewalls" book)

---

From: Jari Arkko <[email-masked]>
Date: Wed, 26 Feb 2003 01:18:08 +0200

> humor (or perhaps their bosses are....).

You are probably right. But remember that the job title discussion
applies only in the external world. Inside the IETF, we don't have to
be so humorless. In particular, we at the wgchairs list can use the
real job titles in the discussions. With that in mind, I have
slightly edited RFC 2418 Section 6 role definitions, so that
we can enjoy a more relaxed and accurate terminology:

6.1. PHB (Pointy Haired Boss)

    The PHB is concerned with making forward progress through a
    fair and open process, and has wide discretion in the
    conduct of WG business. The PHB must ensure that a number
    of tasks are performed, either directly or by others
    assigned to the tasks. Unlike their corporate counterparts,
    however, IETF PHBs do not actually have authority to
    command specific persons to perform specific tasks.

6.2. Slave

    Most IETF working groups focus their efforts on a document,
    or set of documents. A working group generally designates a
    person or persons to serve as the Slave or Slaves for a
    particular document. The Slave is responsible for ensuring
    that the contents of the document accurately reflect the
    decisions that have been made by the working group. Until
    very recently, Slaves also had to carry all the water to the
    IETF hotel, dig holes in the ground using their bare hands,
    and edit their documents using nroff.

6.3. Stuckee

    In order to make progress, working groups need to establish
    an understanding of technical alternatives, evaluate the
    feasibility of the proposed solutions in a variety of
    environments, and carefully review their documents.
    Furthermore, consensus is more fun when there are more
    participants than just the PHBs and the Slaves. Stuckees are
    expected to participate in the discussions, perform timely
    reviews of documents, and express their opinions when
    decisions are being made.

    Like others, Stuckees are volunteers. However, Stuckees do
    not get their name in any of the publications.

6.4. Tourist

    Most IETF working group meetings are held in big rooms.
    Experience has shown that the number of Slaves and Stuckees
    rarely exceeds ten for any working group. This would look bad
    for any potential observers trying to gauge the interest
    level of the new technology. In order to solve this problem,
    working groups arrange for a number of designated Tourists to
    participate the meetings. By definition, all other
    participants other than the PHBs, Slaves, Stuckees, and Area
    Dictators are Tourists. It is inappropriate for a Tourist to
    participate in discussions, whether live or on the list.

    Tourists are volunteers as well, but they get free Internet
    access while in the room.

6.5. Area Dictator

    Area Dictators are responsible for ensuring that working
    groups in their area produce coherent, coordinated,
    architecturally consistent and timely output as a
    contribution to the overall results of the
    IETF. Additionally, given that Slaves are often illiterate
    and Stuckees lazy, the Area Dictators have formed the
    Internet Engineers Spelling Group (IESG), which helps the
    working groups to correct the grammar mistakes from their
    documents.

;-)

---

From: Jari Arkko <[email-masked]>
Date: Wed, 26 Feb 2003 01:13:51 +0200

6.2. Slave

6.3. Stuckee

6.4. Tourist

6.5. Area Dictator

;-)